## SF-112972-LS-10_SolarCapture_SDK.zip

=== src/Makefile ===

# (c) Copyright 2012-2019 Xilinx, Inc. All rights reserved.
#
# This file contains confidential and proprietary information
# of Xilinx, Inc. and is protected under U.S. and
# international copyright and other intellectual property
# laws.
#
# DISCLAIMER
# This disclaimer is not a license and does not grant any
# rights to the materials distributed herewith. Except as
# otherwise provided in a valid license issued to you by
# Xilinx, and to the maximum extent permitted by applicable
# law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
# WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
# AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
# BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
# INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
# (2) Xilinx shall not be liable (whether in contract or tort,
# including negligence, or under any other theory of
# liability) for any loss or damage of any kind or nature
# related to, arising under or in connection with these
# materials, including for any direct, or any indirect,
# special, incidental, or consequential loss or damage
# (including loss of data, profits, goodwill, or any type of
# loss or damage suffered as a result of any action brought
# by a third party) even if such damage or loss was
# reasonably foreseeable or Xilinx had been advised of the
# possibility of the same.
#
# CRITICAL APPLICATIONS
# Xilinx products are not designed or intended to be fail-
# safe, or for use in any application requiring fail-safe
# performance, such as life-support or safety devices or
# systems, Class III medical devices, nuclear facilities,
# applications related to the deployment of airbags, or any
# other applications that could lead to death, personal
# injury, or severe property or environmental damage
# (individually and collectively, "Critical
# Applications"). Customer assumes the sole risk and
# liability of any use of Xilinx products in Critical
# Applications, subject only to applicable laws and
# regulations governing limitations on product liability.
#
# THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
# PART OF THIS FILE AT ALL TIMES

# Define SC_RPM_BUILD when building the python bindings from rpm.
# Some library paths are hardcoded at link time to aid development but
# when installed, these libraries will be present in well known
# locations (/usr/lib/...) so the hardcoding of paths will not be
# necessary.
#
# SC_INCLUDE is used to specify a custom header file path (for package
# maintainers).
#
# SC_LIBRARY is used to specify a custom library path (for package
# maintainers).
#
# SC_PYTHON is used to specify a custom python 2.x binary path.
# SC_PYTHON_CONFIG is used to specify a custom python 2.x -config binary
# path.

# Versioning:

# This release of SolarCapture has major version 1.  This must never be
# changed!  (If we wish to break backwards compatibility, we will release
# SolarCapture2).  SC_VER_MAJ is defined to be 0 until release to ensure we
# don't confuse development code with a release.  (It is overwritten by the
# packaging script).

# The minor version is bumped whenever a release extends the API by adding
# new features.  Such changes must always be backwards compatible with
# earlier releases.  API extensions must properly versioned in both the
# headers and the linker script.

# The release version is reset to zero whenever the minor version is
# bumped.  The release version is bumped for any released change that does
# not extend the API.  (eg. A bug fix or a change to a command line tool).

# The build number (SC_VER_BUILD) is useful to distinguish between candidate
# builds for a release. It is reset to zero whenever any of the other fields
# is changed. The build number is bumped automatically every time a release
# tag is created using sc_mk_tag.
# Release tags should only be created with sc_mk_tag.

# SC_VER_EXTRA is used for things like checkpoint builds, and is written by
# the packaging script for informal releases.  It does not contribute to the
# library versioning, so releases must never set SC_VER_EXTRA.

SC_VER_MAJ	:= 1
SC_VER_MIN	:= 6
SC_VER_REL	:= 9
SC_VER_BUILD	:= 1
SC_VER_EXTRA	:=
SC_VER_STR	:= $(SC_VER_MAJ).$(SC_VER_MIN).$(SC_VER_REL).$(SC_VER_BUILD)$(SC_VER_EXTRA)

TOP_DIR         := $(abspath $(dir $(lastword $(MAKEFILE_LIST)))..)
SRCDIR          := ${TOP_DIR}/src
DOCSDIR         := ${TOP_DIR}/docs

# The version of the libsolarcapture shared library is the API version defined
# by SC_API_VER_MAX in src/include/solar_capture_ext.h.
ifdef SC_INCLUDE
_VER_INC := -I$(SC_INCLUDE)
else
_VER_INC := -I${SRCDIR}/include
endif
SCLIB_VER_MAJOR := ${SC_VER_MAJ}
SCLIB_VER_MINOR := $(shell { echo "\#include \"solar_capture_ext.h\""; echo "SC_API_VER_MAX"; } | cpp ${_VER_INC} | tail -1 )
SCLIB_VER_PATCH := 0

ifndef ARCH
ARCH		:= $(shell uname -m)
endif

ifndef ONLOAD_TREE
ifndef SC_RPM_BUILD
$(error Error: ONLOAD_TREE is not set)
endif
endif

ifndef ONLOAD_BUILD
  ifneq  (,$(wildcard $(ONLOAD_TREE)/build/gnu_$(ARCH)))
    ONLOAD_BUILD := $(ONLOAD_TREE)/build/gnu_$(ARCH)
  else
    ONLOAD_BUILD := $(ONLOAD_TREE)/build/falcon_b0_gnu_$(ARCH)
  endif
endif
export ONLOAD_BUILD
export ONLOAD_TREE

WITH_SSE ?= $(shell echo $(ARCH) | egrep -q 'x86_64|i.86' && echo 1 )
SC_USE_SSE := ${WITH_SSE}

EFVI_INC	:= -I$(ONLOAD_TREE)/src/include
EFVI_LIB	:= $(ONLOAD_BUILD)/lib/ciul/libciul1.a

LIBSC_REALNAME	:= libsolarcapture${SCLIB_VER_MAJOR}.so.${SCLIB_VER_MINOR}.${SCLIB_VER_PATCH}
LIBSC_SONAME	:= libsolarcapture${SCLIB_VER_MAJOR}.so
LIBSC_LINKNAME	:= libsolarcapture${SCLIB_VER_MAJOR}.so
LIBSC_STATIC	:= libsolarcapture${SCLIB_VER_MAJOR}.a

SC_BUILD	:= $(shell /bin/pwd)
SC_LIB		:= lib
SC_LIB_DBG	:= lib/debug
SC_INC		:= -Iinclude
ifdef SC_INCLUDE
SC_INC		+= -I$(SC_INCLUDE)
endif
ifndef SC_RPM_BUILD
SC_LINK		:= -L$(SC_LIB) -Wl,-rpath,$(SC_BUILD)/$(SC_LIB) \
		   -Wl,--enable-new-dtags
endif
ifdef SC_LIBRARY
SC_LINK		+= -L$(SC_LIBRARY)
endif
SC_LINK		+= -lsolarcapture$(SC_VER_MAJ)

CWARNINGS	:= -Wall -Wundef -Wstrict-prototypes -Wpointer-arith \
		   -Wnested-externs
CXXWARNINGS	:= -Wall -Wundef -Wpointer-arith
CFLAGS		:= -Werror $(CWARNINGS) -O2 -DNDEBUG
CFLAGS_DBG	:= -Werror $(CWARNINGS)
ifeq ($(STRIP_LIBS),1)
CFLAGS_DBG	+= -O2
STRIP		:= strip
else
CFLAGS		+= -g
CFLAGS_DBG	+= -ggdb3
STRIP		:= true
endif
SOFLAGS		:= -fPIC -shared -Wl,-E

CORE_SRCS	:= sc_vi sc_thread sc_node_impl sc_mailbox sc_nodes_lookup \
		   sc_stream sc_stats sc_misc sc_debug sc_attr sc_netif	\
		   sc_pkt_pool sc_topology sc_log sc_event sc_object	\
		   sc_iovec sc_memory sc_ef_vi sc_injector \
		   sc_vi_monitor sc_epoll sc_interface \
		   sc_shm_endpoint sc_bitmask

BUILTIN_OBJS	:= components/sc_writer.o		\
		   components/sc_hash_table.o		\
		   components/sc_perf_writer.o		\
		   components/sc_eos_fwd.o		\
		   components/sc_reader.o		\
		   components/sc_arista_ts.o	\
		   components/sc_arista7150_ts.o	\
		   components/sc_arista7280_64bit_ts.o	\
		   components/sc_arista7280_48bit_ts.o	\
		   components/sc_cpacket_ts.o	\
		   components/sc_filter.o		\
		   components/sc_pcap_packer.o		\
		   components/sc_ps_to_ps_packer.o	\
		   components/sc_block_writer.o		\
		   components/sc_tap.o			\
		   components/sc_fd_reader.o		\
		   components/sc_fd_writer.o		\
		   components/sc_ts_adjust.o		\
		   components/sc_pacer.o		\
		   components/sc_rt_pacer.o		\
		   components/sc_stopcock.o		\
		   components/sc_signal_vi.o		\
		   components/sc_repeater.o		\
		   components/sc_line_reader.o		\
		   components/sc_tracer.o		\
		   components/sc_header_editor.o	\
		   components/sc_exit.o			\
		   components/sc_merge_sorter.o		\
		   components/sc_shm_import.o		\
		   components/sc_shm_export.o		\
		   components/sc_shm_broadcast.o		\
		   components/sc_rate_monitor.o		\
		   components/sc_snap.o			\
		   components/sc_sim_work.o		\
		   components/sc_ref_count_undo.o	\
		   components/sc_batch_limiter.o	\
		   components/sc_no_op.o		\
		   components/sc_vss.o			\
		   components/sc_pool_forwarder.o	\
		   components/sc_range_filter.o		\
		   components/sc_timestamp_filter.o	\
		   components/sc_io_demux.o		\
		   components/sc_append_to_list.o	\
		   components/sc_delay_line.o		\
		   components/sc_strip_vlan.o		\
		   components/sc_pktgen.o		\
		   components/sc_subnode_helper.o	\
		   components/sc_flow_balancer.o	\
		   components/sc_ps_packer.o		\
		   components/sc_ps_unpacker.o		\
		   components/sc_vi_node.o		\
		   components/sc_tunnel.o		\
		   components/sc_rr_spreader.o		\
		   components/sc_rr_gather.o		\
		   components/sc_token_bucket_shaper.o	\
		   components/sc_cpacket_encap.o	\
		   components/sc_pass_n.o		\
		   components/sc_wrap_undo.o		\
		   components/sc_tuntap.o		\
		   components/bpf_predicate.o

BUILTIN_DBG_OBJS:= $(patsubst %.o,%.dbg.o,$(BUILTIN_OBJS))

ifndef SC_PYTHON
SC_PYTHON	:= python2
endif
ifndef SC_PYTHON_CONFIG
SC_PYTHON_CONFIG := python2-config
endif
PYTHON_CFLAGS	:= $(shell $(SC_PYTHON_CONFIG) --cflags 2>/dev/null)
PYTHON_LIBS	:= $(shell $(SC_PYTHON_CONFIG) --libs 2>/dev/null)
ifeq ($(PYTHON_CFLAGS),)
PYTHON_VER	:= $(shell $(SC_PYTHON) -V 2>&1 | \
			sed 's/Python \([0-9][0-9]*\.[0-9][0-9]*\).*/\1/')
PYTHON_CFLAGS	:= -fno-strict-aliasing -fPIC \
		     -I/usr/include/python$(PYTHON_VER)
PYTHON_LIBS	:= -lpython$(PYTHON_VER)
endif

# On SLES11, '$ python-config --cflags' doesn't include -fPIC but it
# is needed to properly compile PYTHON_SRCS.
PYTHON_CFLAGS   += -fPIC

PYTHON_SRCS	:= sc_python
PYTHON_OBJS	:= $(patsubst %,core/%.o,$(PYTHON_SRCS))

EXAMPLES	:= examples/c_api/c_api				\
		   examples/c_api/c_api_with_tap		\
		   examples/unmanaged/unmanaged_thread		\
		   examples/unmanaged/unmanaged_mailbox		\
		   examples/extensions_api/reflect.so		\
		   examples/extensions_api/reflect_v2.so	\
		   examples/c_api_export/c_api_export		\
		   examples/libpcap_customised/sampled.so

_TEST_NODES	:= measure_ipg scatter sender touch append_ts oprabin \
			tickler always_busy timestamp_inspection \
			seq32 seq32_check sorepkt back_pressure check_cap_len \
			jitter dump_pkts dropper connection_id \
			tcp_seq_drop io_flooder pkt_deserialiser \
			pkt_serialiser subnode_prep wrap \
			eos_indicator hold_n

TEST_NODES	:= $(patsubst %,test/nodes/sct_%.so,$(_TEST_NODES))

TEST_APPS	:= test/cplusplus					\
		test/leak_detect					\
		test/libpcap/pcap_inject_trivial			\
		test/libpcap/pcap_timestamp				\
		test/libpcap/pcap_cluster				\
		test/libpcap/pcap_close					\
		test/libpcap/pcap_selectable_fd				\
		test/libpcap/pcap_findalldevs				\
		test/af_packet/fanout

PCAP		:= libpcap-1.5.3
PCAP_VER	:= $(shell echo $(PCAP) | sed 's/.*-//')
EMBED_PCAP_DIR	:= build-pcap
EMBED_PCAP	:= $(EMBED_PCAP_DIR)/libpcap.a
SC_PCAP_DIR	:= build-pcap-sfsc
SC_PCAP_SRCS	:= $(PCAP)/pcap-sfsc.c $(PCAP)/pcap-sfsc.h $(PCAP)/pcap-int.h \
		   $(PCAP)/pcap-sfsc-poolnode.c $(PCAP)/pcap-sfsc-poolnode.h
_SC_PCAP_TGT	:= $(SC_PCAP_DIR)/libpcap.so.$(PCAP_VER) \
		   $(SC_PCAP_DIR)/libpcap.a
SC_PCAP_TGT	:= $(SC_LIB)/pcap/libpcap.so.$(PCAP_VER) $(SC_LIB)/pcap/libpcap.so.1 \
		   $(SC_LIB)/pcap/libpcap.a

LIBSC_TGT	:= $(SC_LIB)/$(LIBSC_LINKNAME) \
		   $(SC_LIB_DBG)/$(LIBSC_LINKNAME)

PYTHON_TGT	:= python/solar_capture_c.so

DEFAULT_TGT	:= ${LIBSC_TGT} ${PYTHON_TGT} \
		   $(EXAMPLES) test_nodes $(TEST_APPS)

CORE_OBJS	:= $(patsubst %,core/%.o,$(CORE_SRCS))
CORE_DBG_OBJS	:= $(patsubst %.o,%.dbg.o,$(CORE_OBJS))

.PHONY: default_all all libpcap rpms libsolarcapture

default_all: $(DEFAULT_TGT)

all: $(DEFAULT_TGT) $(SC_PCAP_TGT)

libpcap: $(SC_PCAP_TGT)

libsolarcapture: $(SC_LIB)/$(LIBSC_STATIC)


.PHONY: all_nonpython all_python
all_nonpython: ${LIBSC_TGT} ${SC_PCAP_TGT}
all_python:    ${PYTHON_TGT}


.PHONY: docs docs_pdf internal_docs test_nodes test_apps
docs:
	cd ../docs && rm -rf c_bindings && doxygen doxyfile_solar_capture

docs_pdf: docs
	cd ../docs/c_bindings/latex && \
		pdflatex refman.tex && pdflatex refman.tex

internal_docs:

=== src/examples/c_api/Makefile ===

# This file is part of Xilinx SolarCapture.
#
# You may freely copy code from this sample to incorporate into your own
# code.
#
#
# Copyright 2012-2019  Xilinx Inc.
#                      7505 Irvine Center Drive, Irvine, CA 92618, USA
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

SC_VER_MAJ ?= 1
EXECS      := c_api c_api_with_tap pred_stats
CFLAGS     := -Werror $(CWARNINGS) -g -O2 -DNDEBUG -I.
SC_LINK    := -lsolarcapture${SC_VER_MAJ}

all: $(EXECS)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

$(EXECS): % : %.o
	$(CC) $(CFLAGS) $< $(SC_LINK) -o $@

clean:
	rm -rf *.o $(EXECS)

=== src/examples/c_api_export/Makefile ===

# This file is part of Xilinx SolarCapture.
#
# You may freely copy code from this sample to incorporate into your own
# code.
#
#
# Copyright 2012-2019  Xilinx Inc.
#                      7505 Irvine Center Drive, Irvine, CA 92618, USA
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


SC_VER_MAJ ?= 1

CWARNINGS	:= -Wall
CFLAGS		:= -Werror $(CWARNINGS) -g -O2
SC_LINK         := -lsolarcapture${SC_VER_MAJ}


c_api_export: c_api_export.o pkt_ring.o split_to_rings.o
	$(CC) $(CFLAGS) $^ $(SC_LINK) -lpthread -o $@

clean:
	rm -f *.o c_api_export

=== src/examples/extensions_api/Makefile ===

# This file is part of Xilinx SolarCapture.
#
# You may freely copy code from this sample to incorporate into your own
# code.
#
#
# Copyright 2012-2019  Xilinx Inc.
#                      7505 Irvine Center Drive, Irvine, CA 92618, USA
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


SC_VER_MAJ ?= 1

CFLAGS	:= -Wall -g -O2 -fPIC

SC_LINK := -lsolarcapture${SC_VER_MAJ}


.PHONY: all clean

all: reflect.so reflect_v2.so

clean:
	rm -rf *.o *.so

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

%.so: %.o
	$(CC) $(CFLAGS) $(SC_CFLAGS) -shared -Wl,-E \
	  $< $(SC_LINK) -o $@

=== src/examples/libpcap_customised/Makefile ===

# This file is part of Xilinx SolarCapture.
#
# You may freely copy code from this sample to incorporate into your own
# code.
#
#
# Copyright 2012-2019  Xilinx Inc.
#                      7505 Irvine Center Drive, Irvine, CA 92618, USA
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


CFLAGS		:= -Wall -Werror -g -O2 -fPIC
LINK_SC		:= -lsolarcapture1

ifdef SC_TREE
SC_CFLAGS	:= -I$(SC_TREE)/src/include
LINK_SC		:= -L$(SC_TREE)/src/lib -lsolarcapture0
endif


.PHONY: all clean

all: sampled.so

clean:
	rm *.o *.so

%.o: %.c
	$(CC) $(CFLAGS) $(SC_CFLAGS) -c $< -o $@

%.so: %.o
	$(CC) $(CFLAGS) $(SC_CFLAGS) -shared -Wl,-E \
	  $< $(LINK_SC) -o $@

=== src/examples/unmanaged/Makefile ===

# This file is part of Xilinx SolarCapture.
#
# You may freely copy code from this sample to incorporate into your own
# code.
#
#
# Copyright 2012-2019  Xilinx Inc.
#                      7505 Irvine Center Drive, Irvine, CA 92618, USA
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
#
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


SC_VER_MAJ ?= 1

TGTS := unmanaged_mailbox unmanaged_thread
OBJS := $(patsubst %,%.o,$(TGTS))

CFLAGS          := -Werror $(CWARNINGS) -g -O2 -DNDEBUG

SC_LINK         := -lsolarcapture${SC_VER_MAJ}

.SUFFIXES:

all: $(TGTS)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

%: %.o
	$(CC) $(CFLAGS) $< $(SC_LINK) -o $@

clean:
	rm -rf *.o $(TGTS)

=== scripts/deb/python/debian/changelog ===
solar-capture-python (1.6.9.1-1) UNRELEASED; urgency=low

  * Debian release.

 -- Support <support@solarflare.com>  Thu, 09 Jul 2020 21:51:15 +0100

=== scripts/deb/python/debian/control ===
Source: solar-capture-python
Section: unknown
Priority: extra
Maintainer: Support <support@solarflare.com>
Build-Depends: debhelper (>= 8.0.0), build-essential, python-dev, libc6, libaio1, libpcap-dev
Standards-Version: 3.9.3
X-Python-Version: 2.7
Homepage: http://www.solarflare.com/Capture-SolarSystem-SolarCapture-Software

Package: solar-capture-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, solar-capture-core, python
Description: SolarCapture packet capture utility libraries
 This package provides the Python bindings and example applications for
 SolarCapture, a high performance packet capture and processing utility
 from Solarflare.

=== scripts/deb/python/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# (c) Copyright 2012-2019 Xilinx, Inc. All rights reserved.
#
# This file contains confidential and proprietary information
# of Xilinx, Inc. and is protected under U.S. and
# international copyright and other intellectual property
# laws.
#
# DISCLAIMER
# This disclaimer is not a license and does not grant any
# rights to the materials distributed herewith. Except as
# otherwise provided in a valid license issued to you by
# Xilinx, and to the maximum extent permitted by applicable
# law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
# WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
# AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
# BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
# INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
# (2) Xilinx shall not be liable (whether in contract or tort,
# including negligence, or under any other theory of
# liability) for any loss or damage of any kind or nature
# related to, arising under or in connection with these
# materials, including for any direct, or any indirect,
# special, incidental, or consequential loss or damage
# (including loss of data, profits, goodwill, or any type of
# loss or damage suffered as a result of any action brought
# by a third party) even if such damage or loss was
# reasonably foreseeable or Xilinx had been advised of the
# possibility of the same.
#
# CRITICAL APPLICATIONS
# Xilinx products are not designed or intended to be fail-
# safe, or for use in any application requiring fail-safe
# performance, such as life-support or safety devices or
# systems, Class III medical devices, nuclear facilities,
# applications related to the deployment of airbags, or any
# other applications that could lead to death, personal
# injury, or severe property or environmental damage
# (individually and collectively, "Critical
# Applications"). Customer assumes the sole risk and
# liability of any use of Xilinx products in Critical
# Applications, subject only to applicable laws and
# regulations governing limitations on product liability.
#
# THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
# PART OF THIS FILE AT ALL TIMES

SC_RPM_BUILD := 1
export SC_RPM_BUILD

STRIP_LIBS := 1
export STRIP_LIBS

python_sitelib := $(shell python -c "from distutils.sysconfig import get_python_lib; import sys; sys.stdout.write(get_python_lib())")


%:
	dh $@

build:
	unset CFLAGS; make -C src all_python

override_dh_auto_build: ;

clean:
	cd src; make pkg_clean

binary:
	dh_testroot
	dh_prep
	dh_installdirs
	make -C src \
		DESTDIR=$(PWD)/debian/solar-capture-python \
		LIB_DIR=/usr/lib/x86_64-linux-gnu \
		INC_DIR=/usr/include \
		BIN_DIR=/usr/bin DOC_DIR=/usr/share/doc \
		PY_SITE_DIR=${python_sitelib} \
		install_python
	dh_bugfiles
	dh_lintian
	dh_python2 --no-guessing-versions
	dh_usrlocal
	dh_link
	dh_fixperms
	dh_strip
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

override_dh_auto_test: ;
